class AddOrderPaymentSelectOrderResponse {
  String? error;
  List<OrderList>? orderList;
  String? message;

  AddOrderPaymentSelectOrderResponse(
      {this.error, this.orderList, this.message});

  AddOrderPaymentSelectOrderResponse.fromJson(Map<String, dynamic> json) {
    error = json['error'];
    if (json['order_list'] != null) {
      orderList = <OrderList>[];
      json['order_list'].forEach((v) {
        orderList!.add(new OrderList.fromJson(v));
      });
    }
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['error'] = this.error;
    if (this.orderList != null) {
      data['order_list'] = this.orderList!.map((v) => v.toJson()).toList();
    }
    data['message'] = this.message;
    return data;
  }
}

class OrderList {
  String? orderId;
  String? orderNumber;
  String? totalAmount;
  String? balanceAmount;
  String? createdDatetime;

  OrderList(
      {this.orderId,
        this.orderNumber,
        this.totalAmount,
        this.balanceAmount,
        this.createdDatetime});

  OrderList.fromJson(Map<String, dynamic> json) {
    orderId = json['order_id'];
    orderNumber = json['order_number'];
    totalAmount = json['total_amount'];
    balanceAmount = json['balance_amount'];
    createdDatetime = json['created_datetime'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['order_id'] = this.orderId;
    data['order_number'] = this.orderNumber;
    data['total_amount'] = this.totalAmount;
    data['balance_amount'] = this.balanceAmount;
    data['created_datetime'] = this.createdDatetime;
    return data;
  }
}
